Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net
Class TcpSocketManager.TcpSocketManagerFactory

    java.lang.Object
      org.apache.logging.log4j.core.net.TcpSocketManager.TcpSocketManagerFactory

All Implemented Interfaces:
  ManagerFactory<TcpSocketManager,org.apache.logging.log4j.core.net.TcpSocketManager.FactoryData>

Enclosing class:
  TcpSocketManager

    protected static class TcpSocketManager.TcpSocketManagerFactory

extends Object
implements ManagerFactory<TcpSocketManager,org.apache.logging.log4j.core.net.TcpSocketManager.FactoryData>

Factory to create a TcpSocketManager.

Constructor Summary
`protected` | `TcpSocketManager.TcpSocketManagerFactory()`

Method Summary
`TcpSocketManager` | `createManager(String name, org.apache.logging.log4j.core.net.TcpSocketManager.FactoryData data)` Creates a Manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TcpSocketManager.TcpSocketManagerFactory

    protected TcpSocketManager.TcpSocketManagerFactory()

Method Detail

### createManager

    public TcpSocketManager createManager(String name,
                                          org.apache.logging.log4j.core.net.TcpSocketManager.FactoryData data)

  Description copied from interface: `ManagerFactory`
  Creates a Manager.

  Specified by:
    `createManager` in interface `ManagerFactory<TcpSocketManager,org.apache.logging.log4j.core.net.TcpSocketManager.FactoryData>`
  Parameters:
    `name` - The name of the entity to manage.
    `data` - The data required to create the entity.
  Returns:
    A Manager for the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.